org.apache.uima.examples.as

## Class GetMetaRequest

- java.lang.Object
- - org.apache.uima.examples.as.GetMetaRequest

-     public class GetMetaRequest
      extends Object

  This is a stand-alone utility class with a "main". It is used to retrieve the meta information for a UIMA service, which is attached to a JMS Broker It is passed the broker URI and the service name, and optionally, a -verbose flag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMetaRequest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` retrieve meta information for a UIMA-AS Service attached to a broker It uses the port 1099 as the JMX port on the broker, unless overridden by defining the system property activemq.broker.jmx.port with a value of another port number It uses the default JMX ActiveMQ Domain "org.apache.activemq", unless overridden by defining the system property activemq.broker.jmx.domain with a value of the domain to use This normally never needs to be done unless multiple brokers are run on the same node as is sometimes done for unit tests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMetaRequest

          public GetMetaRequest()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      retrieve meta information for a UIMA-AS Service attached to a broker It uses the port 1099 as the JMX port on the broker, unless overridden by defining the system property activemq.broker.jmx.port with a value of another port number It uses the default JMX ActiveMQ Domain "org.apache.activemq", unless overridden by defining the system property activemq.broker.jmx.domain with a value of the domain to use This normally never needs to be done unless multiple brokers are run on the same node as is sometimes done for unit tests.
      Parameters:
        `args` - - brokerUri serviceName [-verbose]

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.